/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;


-- 
-- Structure de la table 'ods_acte'
-- 

DROP TABLE IF EXISTS ods_acte;
CREATE TABLE IF NOT EXISTS ods_acte (
  id_acte int(11) NOT NULL default '0',
  reference varchar(100) collate utf8_unicode_ci default NULL,
  numero_delibere int(11) default NULL,
  id_formation_conseil int(11) NOT NULL default '0',
  id_entite int(11) NOT NULL default '0',
  id_nature int(11) NOT NULL default '0',
  id_statut int(11) NOT NULL default '0',
  id_categorie_deliberation int(11) default NULL,
  id_direction int(11) default NULL,
  date_retour_ctrl_legalite timestamp NULL default NULL,
  id_deliberation_finale int(11) default NULL,
  poids int(11) default NULL,
  id_type_entite int(11) NOT NULL default '0',
  transmission_automatique char(1) collate utf8_unicode_ci default '1',
  commentaire_annulation varchar(250) collate utf8_unicode_ci default NULL,
  id_groupe int(11) default NULL,
  id_seance int(11) NOT NULL default '0',
  en_ligne tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id_acte)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les actes de transmission";



-- 
-- Structure de la table 'ods_acte_documents'
-- 

DROP TABLE IF EXISTS ods_acte_documents;
CREATE TABLE IF NOT EXISTS ods_acte_documents (
  id_acte int(11) NOT NULL default '0',
  id_document int(11) NOT NULL default '0',
  PRIMARY KEY  (id_acte,id_document)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les pices jointes d''actes";



-- 
-- Structure de la table 'ods_type_entite'
-- 

DROP TABLE IF EXISTS ods_type_entite;
CREATE TABLE IF NOT EXISTS ods_type_entite (
  id_entite int(11) NOT NULL default '0',
  libelle varchar(100) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_entite)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les entites possible d''un acte";



-- 
-- Structure de la table 'ods_acte_nature'
-- 

DROP TABLE IF EXISTS ods_acte_nature;
CREATE TABLE IF NOT EXISTS ods_acte_nature (
  id_nature_acte int(11) NOT NULL default '0',
  libelle varchar(100) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_nature_acte)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les natures de document d''un acte";



-- 
-- Structure de la table 'ods_acte_statut'
-- 

DROP TABLE IF EXISTS ods_acte_statut;
CREATE TABLE IF NOT EXISTS ods_acte_statut (
  id_statut_acte int(11) NOT NULL default '0',
  libelle varchar(100) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_statut_acte)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les statuts d''un acte";



-- 
-- Structure de la table 'ods_arrete'
-- 

DROP TABLE IF EXISTS ods_arrete;
CREATE TABLE IF NOT EXISTS ods_arrete (
  id_arrete int(8) NOT NULL default '0',
  id_seance int(8) default NULL,
  id_formation_conseil int(8) default NULL,
  numero varchar(50) collate utf8_unicode_ci default NULL,
  intitule text collate utf8_unicode_ci,
  id_fichier_or int(8) default NULL,
  id_fichier_sc int(8) default NULL,
  id_categorie int(8) default NULL,
  date_publication timestamp NULL default NULL,
  date_retour_ctrl_legalite timestamp NULL default NULL,
  en_ligne tinyint(1) NOT NULL default '0',
  version int(8) default NULL,
  PRIMARY KEY  (id_arrete)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les arretes";



-- 
-- Structure de la table 'ods_arrondissement_du_pdd'
-- 

DROP TABLE IF EXISTS ods_arrondissement_du_pdd;
CREATE TABLE IF NOT EXISTS ods_arrondissement_du_pdd (
  id_arrondissement int(8) NOT NULL default '0',
  id_pdd int(8) NOT NULL default '0',
  arrondissement int(2) default NULL,
  PRIMARY KEY  (id_arrondissement)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les arrondissements du PDD";



-- 
-- Structure de la table 'ods_autre_modele'
-- 

DROP TABLE IF EXISTS ods_autre_modele;
CREATE TABLE IF NOT EXISTS ods_autre_modele (
  id_autre_modele int(8) NOT NULL default '0',
  titre varchar(100) collate utf8_unicode_ci NOT NULL default '',
  id_type_autre_modele int(8) NOT NULL default '0',
  id_fichier_entete int(8) default NULL,
  id_fichier_pied int(8) default NULL,
  PRIMARY KEY  (id_autre_modele)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les autres modles";



-- 
-- Structure de la table 'ods_categorie_ctrl_legalite'
-- 

DROP TABLE IF EXISTS ods_categorie_ctrl_legalite;
CREATE TABLE IF NOT EXISTS ods_categorie_ctrl_legalite (
  id_categorie int(11) NOT NULL default '0',
  libelle_categorie text collate utf8_unicode_ci NOT NULL,
  codeMatiere1 int(11) NOT NULL default '0',
  codeMatiere2 int(11) NOT NULL default '0',
  PRIMARY KEY  (id_categorie)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les categories utilises par le controle de legali";



-- 
-- Structure de la table 'ods_categorie_deliberation'
-- 

DROP TABLE IF EXISTS ods_categorie_deliberation;
CREATE TABLE IF NOT EXISTS ods_categorie_deliberation (
  id_categorie int(8) NOT NULL default '0',
  code_categorie int(8) NOT NULL default '0',
  libelle_categorie text collate utf8_unicode_ci NOT NULL,
  actif tinyint(1) NOT NULL default '0',
  export_paris_fr tinyint(1) NOT NULL default '0',
  id_categorie_ctrl_legalite int(11) default NULL,
  PRIMARY KEY  (id_categorie)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les catgories de dlibration";



-- 
-- Structure de la table 'ods_co_emettrice'
-- 

DROP TABLE IF EXISTS ods_co_emettrice;
CREATE TABLE IF NOT EXISTS ods_co_emettrice (
  id_pdd int(8) NOT NULL default '0',
  id_direction int(8) NOT NULL default '0',
  code_projet varchar(20) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_pdd,id_direction)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_commission'
-- 

DROP TABLE IF EXISTS ods_commission;
CREATE TABLE IF NOT EXISTS ods_commission (
  id_commission int(8) NOT NULL default '0',
  numero_commission int(8) NOT NULL default '0',
  libelle_commission text collate utf8_unicode_ci NOT NULL,
  actif tinyint(1) default NULL,
  PRIMARY KEY  (id_commission)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les commissions";



-- 
-- Structure de la table 'ods_critere'
-- 

DROP TABLE IF EXISTS ods_critere;
CREATE TABLE IF NOT EXISTS ods_critere (
  id_critere int(8) NOT NULL default '0',
  id_requete int(8) NOT NULL default '0',
  id_type_critere int(8) NOT NULL default '0',
  valeur_critere varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (id_critere)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient la valeur d''un critre de la requte personnelle ";



-- 
-- Structure de la table 'ods_designation'
-- 

DROP TABLE IF EXISTS ods_designation;
CREATE TABLE IF NOT EXISTS ods_designation (
  id_designation int(8) NOT NULL default '0',
  id_seance int(8) default NULL,
  id_formation_conseil int(8) default NULL,
  numero varchar(50) collate utf8_unicode_ci default NULL,
  intitule text collate utf8_unicode_ci,
  id_fichier_or int(8) default NULL,
  id_fichier_sc int(8) default NULL,
  id_categorie int(8) default NULL,
  date_vote timestamp NULL default NULL,
  date_publication timestamp NOT NULL default CURRENT_TIMESTAMP,
  date_retour_ctrl_legalite timestamp NULL default NULL,
  en_ligne tinyint(1) NOT NULL default '0',
  version int(8) default NULL,
  PRIMARY KEY  (id_designation)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les dsignations";



-- 
-- Structure de la table 'ods_direction'
-- 

DROP TABLE IF EXISTS ods_direction;
CREATE TABLE IF NOT EXISTS ods_direction (
  id_direction int(8) NOT NULL default '0',
  code_direction varchar(6) collate utf8_unicode_ci NOT NULL default '',
  libelle_court text collate utf8_unicode_ci NOT NULL,
  libelle_long text collate utf8_unicode_ci NOT NULL,
  actif tinyint(1) default NULL,
  PRIMARY KEY  (id_direction)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient la liste des directions";



-- 
-- Structure de la table 'ods_elmt_releve_travaux'
-- 

DROP TABLE IF EXISTS ods_elmt_releve_travaux;
CREATE TABLE IF NOT EXISTS ods_elmt_releve_travaux (
  id_elmt_releve int(8) NOT NULL default '0',
  id_pdd int(8) default NULL,
  id_releve int(8) NOT NULL default '0',
  id_va int(8) default NULL,
  id_elu int(8) default NULL,
  id_groupe int(8) default NULL,
  pour int(8) default NULL,
  contre int(8) default NULL,
  abst int(8) default NULL,
  nppv int(8) default NULL,
  observations text collate utf8_unicode_ci,
  PRIMARY KEY  (id_elmt_releve)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les lments du relev des travaux d''une commiss";



-- 
-- Structure de la table 'ods_elu'
-- 

DROP TABLE IF EXISTS ods_elu;
CREATE TABLE IF NOT EXISTS ods_elu (
  id_elu int(8) NOT NULL default '0',
  id_groupe int(8) NOT NULL default '0',
  id_commission int(8) default NULL,
  ods_id_elu int(8) default NULL,
  civilite varchar(4) collate utf8_unicode_ci NOT NULL default '',
  nom_elu varchar(50) collate utf8_unicode_ci NOT NULL default '',
  prenom_elu varchar(30) collate utf8_unicode_ci NOT NULL default '',
  actif tinyint(1) default NULL,
  PRIMARY KEY  (id_elu)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les lus";



-- 
-- Structure de la table 'ods_elu_commission'
-- 

DROP TABLE IF EXISTS ods_elu_commission;
CREATE TABLE IF NOT EXISTS ods_elu_commission (
  id_elu int(8) NOT NULL default '0',
  id_commission int(8) NOT NULL default '0',
  numero_ordre int(4) default '0',
  PRIMARY KEY  (id_elu,id_commission)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_elu_present'
-- 

DROP TABLE IF EXISTS ods_elu_present;
CREATE TABLE IF NOT EXISTS ods_elu_present (
  id_liste int(8) NOT NULL default '0',
  id_elu int(8) NOT NULL default '0',
  PRIMARY KEY  (id_liste,id_elu)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="associe une liste de membres prsents avec un lu";



-- 
-- Structure de la table 'ods_entree_commission'
-- 

DROP TABLE IF EXISTS ods_entree_commission;
CREATE TABLE IF NOT EXISTS ods_entree_commission (
  id_entree int(8) NOT NULL default '0',
  id_commission int(8) NOT NULL default '0',
  numero_ordre int(4) default '0',
  PRIMARY KEY  (id_entree,id_commission)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_entree_elus'
-- 

DROP TABLE IF EXISTS ods_entree_elus;
CREATE TABLE IF NOT EXISTS ods_entree_elus (
  id_elu int(8) NOT NULL default '0',
  id_entree int(8) NOT NULL default '0',
  id_commission int(8) NOT NULL default '0',
  numero_ordre int(4) default '0',
  PRIMARY KEY  (id_elu,id_entree)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_entree_ordre_jour'
-- 

DROP TABLE IF EXISTS ods_entree_ordre_jour;
CREATE TABLE IF NOT EXISTS ods_entree_ordre_jour (
  id_entree int(8) NOT NULL default '0',
  id_odj int(8) NOT NULL default '0',
  id_nature int(8) default NULL,
  type_entree char(1) collate utf8_unicode_ci default NULL,
  numero_ordre int(8) NOT NULL default '0',
  texte_libre text collate utf8_unicode_ci,
  reference_affichee varchar(60) collate utf8_unicode_ci default NULL,
  objet text collate utf8_unicode_ci,
  style varchar(20) collate utf8_unicode_ci default NULL,
  id_entite int(8) default NULL,
  id_type_entite int(8) default NULL,
  PRIMARY KEY  (id_entree)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les entres de l''ordre du jour";



-- 
-- Structure de la table 'ods_expression_usuelle'
-- 

DROP TABLE IF EXISTS ods_expression_usuelle;
CREATE TABLE IF NOT EXISTS ods_expression_usuelle (
  id_expression int(8) NOT NULL default '0',
  expression text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (id_expression)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les expressions usuelles";



-- 
-- Structure de la table 'ods_fascicule'
-- 

DROP TABLE IF EXISTS ods_fascicule;
CREATE TABLE IF NOT EXISTS ods_fascicule (
  id_fascicule int(8) NOT NULL default '0',
  id_seance int(8) NOT NULL default '0',
  code_fascicule varchar(6) collate utf8_unicode_ci default NULL,
  nom_fascicule varchar(50) collate utf8_unicode_ci NOT NULL default '',
  numero_ordre int(8) default NULL,
  PRIMARY KEY  (id_fascicule)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les fascicules des liasses de voeux et amendements";



-- 
-- Structure de la table 'ods_fichier'
-- 

DROP TABLE IF EXISTS ods_fichier;
CREATE TABLE IF NOT EXISTS ods_fichier (
  id_document int(8) NOT NULL default '0',
  id_pdd int(8) default NULL,
  id_commission int(8) default NULL,
  id_formation_conseil int(8) default NULL,
  id_type_document int(8) NOT NULL default '0',
  id_fichier int(8) NOT NULL default '0',
  id_seance int(8) default NULL,
  intitule longtext collate utf8_unicode_ci,
  texte text collate utf8_unicode_ci,
  extension varchar(5) collate utf8_unicode_ci default NULL,
  taille int(8) default NULL,
  nom text collate utf8_unicode_ci,
  en_ligne tinyint(1) NOT NULL default '0',
  date_publication timestamp NOT NULL default CURRENT_TIMESTAMP,
  version int(8) default NULL,
  PRIMARY KEY  (id_document)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les fichiers d''une sance du conseil, d''un PDD ou ";



-- 
-- Structure de la table 'ods_fichier_panier'
-- 

DROP TABLE IF EXISTS ods_fichier_panier;
CREATE TABLE IF NOT EXISTS ods_fichier_panier (
  id_document int(8) NOT NULL default '0',
  id_fichier int(8) default NULL,
  id_type_document int(8) NOT NULL default '0',
  intitule varchar(100) collate utf8_unicode_ci default NULL,
  extension varchar(5) collate utf8_unicode_ci default NULL,
  taille int(8) default NULL,
  nom text collate utf8_unicode_ci,
  PRIMARY KEY  (id_document)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les paniers des utilisateur";



-- 
-- Structure de la table 'ods_fichier_physique'
-- 

DROP TABLE IF EXISTS ods_fichier_physique;
CREATE TABLE IF NOT EXISTS ods_fichier_physique (
  id_fichier int(8) NOT NULL default '0',
  fichier longblob NOT NULL,
  PRIMARY KEY  (id_fichier)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Permet de stocker les fichiers physiques";



-- 
-- Structure de la table 'ods_fichier_physique_panier'
-- 

DROP TABLE IF EXISTS ods_fichier_physique_panier;
CREATE TABLE IF NOT EXISTS ods_fichier_physique_panier (
  id_fichier int(8) NOT NULL default '0',
  fichier longblob NOT NULL,
  PRIMARY KEY  (id_fichier)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Permet de stocker les fichiers physiques des paniers";



-- 
-- Structure de la table 'ods_formation_conseil'
-- 

DROP TABLE IF EXISTS ods_formation_conseil;
CREATE TABLE IF NOT EXISTS ods_formation_conseil (
  id_formation_conseil int(8) NOT NULL default '0',
  libelle_formation_conseil varchar(50) collate utf8_unicode_ci NOT NULL default '',
  code_alpaca varchar(2) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_formation_conseil)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="M - Municipal G - Gnral";



-- 
-- Structure de la table 'ods_front_indexer'
-- 

DROP TABLE IF EXISTS ods_front_indexer;
CREATE TABLE IF NOT EXISTS ods_front_indexer (
  id_indexer int(8) NOT NULL default '0',
  nom_indexer varchar(100) collate utf8_unicode_ci NOT NULL default '',
  init_index tinyint(1) NOT NULL default '0',
  id_seance int(8) default NULL,
  PRIMARY KEY  (id_indexer)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="liste des serveurs d''''indexation  pouvant crire sur l''''ind";



-- 
-- Structure de la table 'ods_groupe'
-- 

DROP TABLE IF EXISTS ods_groupe;
CREATE TABLE IF NOT EXISTS ods_groupe (
  id_groupe int(8) NOT NULL default '0',
  nom_groupe varchar(50) collate utf8_unicode_ci NOT NULL default '',
  nom_complet varchar(100) collate utf8_unicode_ci NOT NULL default '',
  actif tinyint(1) default NULL,
  PRIMARY KEY  (id_groupe)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les groupes politiques";



-- 
-- Structure de la table 'ods_historique'
-- 

DROP TABLE IF EXISTS ods_historique;
CREATE TABLE IF NOT EXISTS ods_historique (
  id_historique int(8) NOT NULL default '0',  
  version int(8) NOT NULL default '0',
  date_publication timestamp NULL default NULL,
  id_entite int(8) default NULL,
  id_type_entite int(8) default NULL,
  PRIMARY KEY (id_historique)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les historiques des versions";



-- 
-- Structure de la table 'ods_horodatage_notifications'
-- 

DROP TABLE IF EXISTS ods_horodatage_notifications;
CREATE TABLE IF NOT EXISTS ods_horodatage_notifications (
  id_trace int(8) NOT NULL default '0',
  date_trace timestamp NOT NULL default CURRENT_TIMESTAMP,
  objet varchar(255) collate utf8_unicode_ci default NULL,
  contenu longtext collate utf8_unicode_ci,
  signature text collate utf8_unicode_ci,
  type_notification char(1) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_trace)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les traces de notification de mail";



-- 
-- Structure de la table 'ods_horodatage_notifications_utilisateurs'
-- 

DROP TABLE IF EXISTS ods_horodatage_notifications_utilisateurs;
CREATE TABLE IF NOT EXISTS ods_horodatage_notifications_utilisateurs (
  id_trace int(8) NOT NULL default '0',
  id_utilisateur varchar(50) collate utf8_unicode_ci NOT NULL default '',
  date_envoi timestamp NOT NULL default CURRENT_TIMESTAMP,
  destinataires varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_trace,id_utilisateur)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les traces de notification de mail pour un utilisat";



-- 
-- Structure de la table 'ods_horodatage_publication'
-- 

DROP TABLE IF EXISTS ods_horodatage_publication;
CREATE TABLE IF NOT EXISTS ods_horodatage_publication (
  id_trace int(8) NOT NULL default '0',
  date_trace timestamp NOT NULL default CURRENT_TIMESTAMP,
  date_seance timestamp NOT NULL default '0000-00-00 00:00:00',
  famille_doc varchar(100) collate utf8_unicode_ci default NULL,
  id_db_ods int(8) default NULL,
  reference varchar(20) collate utf8_unicode_ci default NULL,
  date_publication timestamp NOT NULL default '0000-00-00 00:00:00',
  intitule longtext collate utf8_unicode_ci,
  version int(8) default NULL,
  action tinyint(1) default NULL,
  signatures longtext collate utf8_unicode_ci,
  PRIMARY KEY  (id_trace)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les traces de publication/dpublication";



-- 
-- Structure de la table 'ods_index_task'
-- 

DROP TABLE IF EXISTS ods_index_task;
CREATE TABLE IF NOT EXISTS ods_index_task (
  id_task int(8) NOT NULL default '0',
  type_objet int(1) NOT NULL default '0',
  id_objet int(8) NOT NULL default '0',
  id_indexer int(8) NOT NULL default '0',
  code_task int(8) NOT NULL default '0',
  is_archive tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id_task)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Actions  raliser sur l''''index Lucene";



-- 
-- Structure de la table 'ods_liste_membres_presents'
-- 

DROP TABLE IF EXISTS ods_liste_membres_presents;
CREATE TABLE IF NOT EXISTS ods_liste_membres_presents (
  id_liste int(8) NOT NULL default '0',
  id_seance int(8) default NULL,
  id_formation_conseil int(8) default NULL,
  intitule varchar(100) collate utf8_unicode_ci default NULL,
  id_fichier_sc int(8) default NULL,
  date_publication timestamp NULL default NULL,
  date_transmission_ctrl_legalite timestamp NULL default NULL,
  en_ligne tinyint(1) NOT NULL default '0',
  version int(8) default NULL,
  date_retour_ctrl_legalite timestamp NULL default NULL,
  id_fichier_genere int(8) default NULL,
  PRIMARY KEY  (id_liste)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les listes de membres prsents";



-- 
-- Structure de la table 'ods_modele_ordre_jour'
-- 

DROP TABLE IF EXISTS ods_modele_ordre_jour;
CREATE TABLE IF NOT EXISTS ods_modele_ordre_jour (
  id_modele int(8) NOT NULL default '0',
  id_fichier int(8) default NULL,
  id_commission int(8) default NULL,
  id_type_odj int(8) NOT NULL default '0',
  ods_id_fichier int(8) default NULL,
  id_formation_conseil int(8) NOT NULL default '0',
  titre text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (id_modele)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les modles d''ordre du jour";



-- 
-- Structure de la table 'ods_nature_dossier'
-- 

DROP TABLE IF EXISTS ods_nature_dossier;
CREATE TABLE IF NOT EXISTS ods_nature_dossier (
  id_nature int(8) NOT NULL default '0',
  id_seance int(8) NOT NULL default '0',
  num_nature int(8) NOT NULL default '0',
  libelle_nature text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (id_nature)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les natures de dossiers";



-- 
-- Structure de la table 'ods_odj'
-- 

DROP TABLE IF EXISTS ods_odj;
CREATE TABLE IF NOT EXISTS ods_odj (
  id_odj int(8) NOT NULL default '0',
  id_seance int(8) NOT NULL default '0',
  id_formation_conseil int(8) NOT NULL default '0',
  id_type_odj int(8) NOT NULL default '0',
  ods_id_odj int(8) default NULL,
  id_commission int(8) default NULL,
  intitule varchar(100) collate utf8_unicode_ci NOT NULL default '',
  mode_classement char(1) collate utf8_unicode_ci NOT NULL default '',
  tourniquet tinyint(1) NOT NULL default '0',
  publie tinyint(1) NOT NULL default '0',
  date_publication timestamp NOT NULL default CURRENT_TIMESTAMP,
  est_sauvegarde tinyint(1) NOT NULL default '0',
  xml_correspondant longtext collate utf8_unicode_ci,
  xml_entete longtext collate utf8_unicode_ci,
  xml_pied_de_page longtext collate utf8_unicode_ci,
  id_fichier int(8) default NULL,
  date_debut_publication timestamp NULL default NULL,
  PRIMARY KEY  (id_odj)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les ordres du jour d''une formation de conseil";



-- 
-- Structure de la table 'ods_panier'
-- 

DROP TABLE IF EXISTS ods_panier;
CREATE TABLE IF NOT EXISTS ods_panier (
  id_element_panier int(8) NOT NULL default '0',
  id_document int(8) NOT NULL default '0',
  id_utilisateur varchar(50) collate utf8_unicode_ci NOT NULL default '',
  date_ajout timestamp NOT NULL default CURRENT_TIMESTAMP,
  est_zip tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id_element_panier)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les documents du panier de l''''utilisateur";



-- 
-- Structure de la table 'ods_pdd'
-- 

DROP TABLE IF EXISTS ods_pdd;
CREATE TABLE IF NOT EXISTS ods_pdd (
  id_pdd int(8) NOT NULL default '0',
  id_categorie int(8) default NULL,
  id_direction int(8) default NULL,
  id_formation_conseil int(8) NOT NULL default '0',
  id_statut int(8) default NULL,
  id_groupe int(8) default NULL,
  reference varchar(50) collate utf8_unicode_ci default NULL,
  type_pdd varchar(2) collate utf8_unicode_ci NOT NULL default '',
  delegations_services tinyint(1) NOT NULL default '0',
  mode_introduction varchar(2) collate utf8_unicode_ci NOT NULL default '',
  objet text collate utf8_unicode_ci NOT NULL,
  pieces_manuelles tinyint(1) NOT NULL default '0',
  date_vote timestamp NULL default NULL,
  date_retour_ctrl_legalite timestamp NULL default NULL,
  en_ligne tinyint(1) NOT NULL default '0',
  date_publication timestamp NOT NULL default CURRENT_TIMESTAMP,
  version int(8) default NULL,
  est_modifie tinyint(1) default NULL,
  mode_classement char(1) collate utf8_unicode_ci NOT NULL default 'A',
  PRIMARY KEY  (id_pdd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les projets et propositions de dlibration";



-- 
-- Structure de la table 'ods_publication_parisfr'
-- 

DROP TABLE IF EXISTS ods_publication_parisfr;
CREATE TABLE IF NOT EXISTS ods_publication_parisfr (
  id_publication int(8) NOT NULL default '0',
  id_odj int(8) NOT NULL default '0',
  PRIMARY KEY  (id_publication)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_releve_travaux'
-- 

DROP TABLE IF EXISTS ods_releve_travaux;
CREATE TABLE IF NOT EXISTS ods_releve_travaux (
  id_releve int(8) NOT NULL default '0',
  id_commission int(8) NOT NULL default '0',
  id_seance int(8) NOT NULL default '0',
  intitule varchar(100) collate utf8_unicode_ci NOT NULL default '',
  en_ligne tinyint(1) NOT NULL default '0',
  id_fichier int(8) default NULL,
  PRIMARY KEY  (id_releve)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les relevs de travaux des commissions";



-- 
-- Structure de la table 'ods_requete'
-- 

DROP TABLE IF EXISTS ods_requete;
CREATE TABLE IF NOT EXISTS ods_requete (
  id_requete int(8) NOT NULL default '0',
  id_utilisateur varchar(50) collate utf8_unicode_ci NOT NULL default '0',
  intitule varchar(100) collate utf8_unicode_ci NOT NULL default '',
  type_requete varchar(10) collate utf8_unicode_ci NOT NULL default '',
  is_notifie tinyint(1) NOT NULL default '0',
  is_archive tinyint(1) NOT NULL default '0',
  date_creation timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (id_requete)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les requtes personnelles pr enregistres de l''";



-- 
-- Structure de la table 'ods_seance'
-- 

DROP TABLE IF EXISTS ods_seance;
CREATE TABLE IF NOT EXISTS ods_seance (
  id_seance int(8) NOT NULL default '0',
  date_seance timestamp NOT NULL default '0000-00-00 00:00:00',
  date_fin_seance timestamp NOT NULL default '0000-00-00 00:00:00',
  date_remise_cr_sommaire timestamp NOT NULL default '0000-00-00 00:00:00',
  date_depot_questions timestamp NOT NULL default '0000-00-00 00:00:00',
  date_limite_diff_questions timestamp NOT NULL default '0000-00-00 00:00:00',
  date_limite_diff_pdd timestamp NOT NULL default '0000-00-00 00:00:00',
  date_limite_diff_dsp timestamp NOT NULL default '0000-00-00 00:00:00',
  date_conference timestamp NOT NULL default '0000-00-00 00:00:00',
  date_reunion_post_commission timestamp NOT NULL default '0000-00-00 00:00:00',
  date_reunion_premiere_commission timestamp NOT NULL default '0000-00-00 00:00:00',
  date_reunion_deuxieme_commission timestamp NOT NULL default '0000-00-00 00:00:00',
  date_reunion_troisieme_commission timestamp NOT NULL default '0000-00-00 00:00:00',
  date_publication timestamp NULL default NULL,
  taille_archive int(10) default NULL,
  numero_seance varchar(30) collate utf8_unicode_ci default NULL,
  heure_seance_cg varchar(60) collate utf8_unicode_ci default NULL,
  heure_seance_cm varchar(60) collate utf8_unicode_ci default NULL,
  date_seance_cg varchar(60) collate utf8_unicode_ci default NULL,
  date_seance_cm varchar(60) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_seance)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les dates des sances du conseil de Paris";



-- 
-- Structure de la table 'ods_statut'
-- 

DROP TABLE IF EXISTS ods_statut;
CREATE TABLE IF NOT EXISTS ods_statut (
  id_statut int(8) NOT NULL default '0',
  libelle_statut varchar(50) collate utf8_unicode_ci NOT NULL default '',
  est_pour_pdd tinyint(1) default NULL,
  est_pour_voeu tinyint(1) default NULL,
  est_pour_amendement tinyint(1) default NULL,
  PRIMARY KEY  (id_statut)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les statuts d''un PDD, voeu ou amendement : 1 - Ado";


-- 
-- Structure de la table 'ods_texte_libre'
-- 
DROP TABLE IF EXISTS ods_texte_libre;
CREATE TABLE IF NOT EXISTS ods_texte_libre (
  id_entite int(8) default NULL,
  id_type_entite int(8) default NULL,
  PRIMARY KEY (id_entite)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les textes libres de l'ordre du jour";



-- 
-- Structure de la table 'ods_tourniquet'
-- 

DROP TABLE IF EXISTS ods_tourniquet;
CREATE TABLE IF NOT EXISTS ods_tourniquet (
  id_commission int(8) NOT NULL default '0',
  num_ordre int(8) NOT NULL default '0',
  PRIMARY KEY  (id_commission)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient le tourniquet";



-- 
-- Structure de la table 'ods_type_autre_modele'
-- 

DROP TABLE IF EXISTS ods_type_autre_modele;
CREATE TABLE IF NOT EXISTS ods_type_autre_modele (
  id_type_autre_modele int(8) NOT NULL default '0',
  libelle_type varchar(100) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (id_type_autre_modele)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les types des autres modles";



-- 
-- Structure de la table 'ods_type_de_critere'
-- 

DROP TABLE IF EXISTS ods_type_de_critere;
CREATE TABLE IF NOT EXISTS ods_type_de_critere (
  id_type_critere int(8) NOT NULL default '0',
  nom_critere varchar(50) collate utf8_unicode_ci NOT NULL default '',
  PRIMARY KEY  (id_type_critere)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les critres de slection disponibles  la reche";



-- 
-- Structure de la table 'ods_type_document'
-- 

DROP TABLE IF EXISTS ods_type_document;
CREATE TABLE IF NOT EXISTS ods_type_document (
  id_type_document int(8) NOT NULL default '0',
  libelle_type text collate utf8_unicode_ci NOT NULL,
  est_creation_prochaine_seance tinyint(1) default NULL,
  est_creation_aval tinyint(1) default NULL,
  PRIMARY KEY  (id_type_document)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les types de documents : 1 - Expos des motifs 2";



-- 
-- Structure de la table 'ods_type_ordre_jour'
-- 

DROP TABLE IF EXISTS ods_type_ordre_jour;
CREATE TABLE IF NOT EXISTS ods_type_ordre_jour (
  id_type_odj int(8) NOT NULL default '0',
  libelle_type_odj varchar(30) collate utf8_unicode_ci NOT NULL default '',
  libelle_long_type_odj varchar(100) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (id_type_odj)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les types d''ordre du jour : 1 - Prvisionnel 2 ";



-- 
-- Structure de la table 'ods_utilisateur'
-- 

DROP TABLE IF EXISTS ods_utilisateur;
CREATE TABLE IF NOT EXISTS ods_utilisateur (
  id_utilisateur varchar(50) collate utf8_unicode_ci NOT NULL default '',
  nom_utilisateur varchar(50) collate utf8_unicode_ci NOT NULL default '',
  prenom_utilisateur varchar(30) collate utf8_unicode_ci NOT NULL default '',
  email_utilisateur varchar(100) collate utf8_unicode_ci NOT NULL default '',
  email_1_copie varchar(100) collate utf8_unicode_ci default NULL,
  email_2_copie varchar(100) collate utf8_unicode_ci default NULL,
  derniere_connexion timestamp NOT NULL default CURRENT_TIMESTAMP,
  dernier_id_session varchar(50) collate utf8_unicode_ci NOT NULL default '0',
  PRIMARY KEY  (id_utilisateur)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les utilisateurs";



-- 
-- Structure de la table 'ods_va_depose_par'
-- 

DROP TABLE IF EXISTS ods_va_depose_par;
CREATE TABLE IF NOT EXISTS ods_va_depose_par (
  id_elu int(8) default NULL,
  id_va int(8) NOT NULL default '0',
  id_groupe int(8) default NULL,
  numero_ordre int(4) default '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_va_parent'
-- 

DROP TABLE IF EXISTS ods_va_parent;
CREATE TABLE IF NOT EXISTS ods_va_parent (
  id_va int(8) NOT NULL default '0',
  id_va_parent int(8) NOT NULL default '0',
  numero_ordre int(4) default '0',
  PRIMARY KEY  (id_va,id_va_parent)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_va_rattache_pdd'
-- 

DROP TABLE IF EXISTS ods_va_rattache_pdd;
CREATE TABLE IF NOT EXISTS ods_va_rattache_pdd (
  id_va int(8) NOT NULL default '0',
  id_pdd int(8) NOT NULL default '0',
  numero_ordre int(8) default NULL,
  PRIMARY KEY  (id_va,id_pdd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



-- 
-- Structure de la table 'ods_voeu_amendement'
-- 

DROP TABLE IF EXISTS ods_voeu_amendement;
CREATE TABLE IF NOT EXISTS ods_voeu_amendement (
  id_va int(8) NOT NULL default '0',
  id_delib int(8) default NULL,
  id_formation_conseil int(8) NOT NULL default '0',
  id_commission int(8) default NULL,
  ods_id_va int(8) default NULL,
  id_texte_initial int(8) NOT NULL default '0',
  id_statut int(8) default NULL,
  id_fascicule int(8) NOT NULL default '0',
  type varchar(3) collate utf8_unicode_ci NOT NULL default '',
  reference_va varchar(10) collate utf8_unicode_ci default NULL,
  reference_va_front varchar(10) collate utf8_unicode_ci default NULL,
  objet text collate utf8_unicode_ci NOT NULL,
  depose_executif tinyint(1) NOT NULL default '0',
  num_deliberation varchar(10) collate utf8_unicode_ci default NULL,
  date_vote timestamp NULL default NULL,
  date_retour_ctrl_legalite timestamp NULL default NULL,
  en_ligne tinyint(1) NOT NULL default '0',
  date_publication timestamp NOT NULL default CURRENT_TIMESTAMP,
  version int(8) default NULL,
  PRIMARY KEY  (id_va)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT="Contient les voeux et amendements";

-- 
-- Contraintes pour les tables exportes
-- 

-- 
-- Contraintes pour la table ods_acte
-- 
ALTER TABLE ods_acte
  ADD CONSTRAINT FK_ACTE_CATEGORIE_DELIBERATION FOREIGN KEY (id_categorie_deliberation) REFERENCES ods_categorie_deliberation (id_categorie),
  ADD CONSTRAINT FK_ACTE_DELIBERATION_FINALE FOREIGN KEY (id_deliberation_finale) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_ACTE_DIRECTION FOREIGN KEY (id_direction) REFERENCES ods_direction (id_direction),
  ADD CONSTRAINT FK_ACTE_FORMATION_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_ACTE_NATURE FOREIGN KEY (id_nature) REFERENCES ods_acte_nature (id_nature_acte),
  ADD CONSTRAINT FK_ACTE_STATUT FOREIGN KEY (id_statut) REFERENCES ods_acte_statut (id_statut_acte),
  ADD CONSTRAINT FK_ACTE_TYPE_ENTITE FOREIGN KEY (id_type_entite) REFERENCES ods_type_entite (id_entite);

-- 
-- Contraintes pour la table ods_acte_documents
-- 
ALTER TABLE ods_acte_documents
  ADD CONSTRAINT FK_ACTE FOREIGN KEY (id_acte) REFERENCES ods_acte (id_acte),
  ADD CONSTRAINT FK_ACTE_DOCUMENTS FOREIGN KEY (id_document) REFERENCES ods_fichier (id_document);

-- 
-- Contraintes pour la table ods_arrete
-- 
ALTER TABLE ods_arrete
  ADD CONSTRAINT FK_ARRETE_CATEGORIE FOREIGN KEY (id_categorie) REFERENCES ods_categorie_deliberation (id_categorie),
  ADD CONSTRAINT FK_ARRETE_FICHIER_OR FOREIGN KEY (id_fichier_or) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_ARRETE_FICHIER_SC FOREIGN KEY (id_fichier_sc) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_ARRETE_FORMATION_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_ARRETE_SEANCE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance);

-- 
-- Contraintes pour la table ods_arrondissement_du_pdd
-- 
ALTER TABLE ods_arrondissement_du_pdd
  ADD CONSTRAINT FK_LOCALISE_DANS FOREIGN KEY (id_pdd) REFERENCES ods_pdd (id_pdd);

-- 
-- Contraintes pour la table ods_autre_modele
-- 
ALTER TABLE ods_autre_modele
  ADD CONSTRAINT FK_ENTETE_AUTRE_MODELE FOREIGN KEY (id_fichier_entete) REFERENCES ods_fichier_physique (id_fichier),
  ADD CONSTRAINT FK_PIED_AUTRE_MODELE FOREIGN KEY (id_fichier_pied) REFERENCES ods_fichier_physique (id_fichier);

-- 
-- Contraintes pour la table ods_categorie_deliberation
-- 
ALTER TABLE ods_categorie_deliberation
  ADD CONSTRAINT FK_CATEGORIE_CTRL_LEGALITE FOREIGN KEY (id_categorie_ctrl_legalite) REFERENCES ods_categorie_ctrl_legalite (id_categorie);

-- 
-- Contraintes pour la table ods_co_emettrice
-- 
ALTER TABLE ods_co_emettrice
  ADD CONSTRAINT FK_ODS_CO_EMETTRICE FOREIGN KEY (id_pdd) REFERENCES ods_pdd (id_pdd),
  ADD CONSTRAINT FK_ODS_CO_EMETTRICE2 FOREIGN KEY (id_direction) REFERENCES ods_direction (id_direction);

-- 
-- Contraintes pour la table ods_critere
-- 
ALTER TABLE ods_critere
  ADD CONSTRAINT FK_EST_COMPOSEE_DE FOREIGN KEY (id_requete) REFERENCES ods_requete (id_requete),
  ADD CONSTRAINT FK_VALEUR_POUR FOREIGN KEY (id_type_critere) REFERENCES ods_type_de_critere (id_type_critere);

-- 
-- Contraintes pour la table ods_designation
-- 
ALTER TABLE ods_designation
  ADD CONSTRAINT FK_DESIGNATION_CATEGORIE FOREIGN KEY (id_categorie) REFERENCES ods_categorie_deliberation (id_categorie),
  ADD CONSTRAINT FK_DESIGNATION_FICHIER_OR FOREIGN KEY (id_fichier_or) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_DESIGNATION_FORMATION_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_DESIGNATION_SEANCE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance);

-- 
-- Contraintes pour la table ods_elmt_releve_travaux
-- 
ALTER TABLE ods_elmt_releve_travaux
  ADD CONSTRAINT FK_CONTIENT_LES_ELMTS FOREIGN KEY (id_releve) REFERENCES ods_releve_travaux (id_releve),
  ADD CONSTRAINT FK_EMISE_PAR FOREIGN KEY (id_groupe) REFERENCES ods_groupe (id_groupe),
  ADD CONSTRAINT FK_EMISE_PAR_ELU FOREIGN KEY (id_elu) REFERENCES ods_elu (id_elu),
  ADD CONSTRAINT FK_OBSERVATION_POUR FOREIGN KEY (id_pdd) REFERENCES ods_pdd (id_pdd),
  ADD CONSTRAINT FK_VOTE_OU_OBS_POUR FOREIGN KEY (id_va) REFERENCES ods_voeu_amendement (id_va);

-- 
-- Contraintes pour la table ods_elu
-- 
ALTER TABLE ods_elu
  ADD CONSTRAINT FK_APPARTIENT_A FOREIGN KEY (id_groupe) REFERENCES ods_groupe (id_groupe),
  ADD CONSTRAINT FK_EST_REMPLACE_PAR FOREIGN KEY (ods_id_elu) REFERENCES ods_elu (id_elu),
  ADD CONSTRAINT FK_RAPPORTE_DANS FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission);

-- 
-- Contraintes pour la table ods_elu_commission
-- 
ALTER TABLE ods_elu_commission
  ADD CONSTRAINT FK_ODS_ELU_COMMISSION FOREIGN KEY (id_elu) REFERENCES ods_elu (id_elu),
  ADD CONSTRAINT FK_ODS_ELU_COMMISSION2 FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission);

-- 
-- Contraintes pour la table ods_entree_commission
-- 
ALTER TABLE ods_entree_commission
  ADD CONSTRAINT FK_ODS_ENTREE_COMMISSION FOREIGN KEY (id_entree) REFERENCES ods_entree_ordre_jour (id_entree),
  ADD CONSTRAINT FK_ODS_ENTREE_COMMISSION2 FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission);

-- 
-- Contraintes pour la table ods_entree_elus
-- 
ALTER TABLE ods_entree_elus
  ADD CONSTRAINT FK_ODS_ENTREE_ELUS FOREIGN KEY (id_elu) REFERENCES ods_elu (id_elu),
  ADD CONSTRAINT FK_ODS_ENTREE_ELUS2 FOREIGN KEY (id_entree) REFERENCES ods_entree_ordre_jour (id_entree);

-- 
-- Contraintes pour la table ods_entree_ordre_jour
-- 
ALTER TABLE ods_entree_ordre_jour
  ADD CONSTRAINT FK_CONTIENT FOREIGN KEY (id_odj) REFERENCES ods_odj (id_odj),
  ADD CONSTRAINT FK_EST_CLASSE FOREIGN KEY (id_nature) REFERENCES ods_nature_dossier (id_nature),
  ADD CONSTRAINT FK_ENTREE_ODJ_TYPE_ENTITE FOREIGN KEY (id_type_entite) REFERENCES ods_type_entite (id_entite),
  ADD INDEX entree_odj_entite_index (id_entite);

-- 
-- Contraintes pour la table ods_fascicule
-- 
ALTER TABLE ods_fascicule
  ADD CONSTRAINT FK_LIASSE_DE_LA_SEANCE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance);

-- 
-- Contraintes pour la table ods_fichier
-- 
ALTER TABLE ods_fichier
  ADD CONSTRAINT FK_EST_DE_TYPE FOREIGN KEY (id_type_document) REFERENCES ods_type_document (id_type_document),
  ADD CONSTRAINT FK_LIASSE_DES_VA_DE FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_POUR_LA_COMMISSION FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission),
  ADD CONSTRAINT FK_POUR_LA_SEANCE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance),
  ADD CONSTRAINT FK_POUR_LE_PDD FOREIGN KEY (id_pdd) REFERENCES ods_pdd (id_pdd),
  ADD CONSTRAINT FK_STOCKE FOREIGN KEY (id_fichier) REFERENCES ods_fichier_physique (id_fichier);

-- 
-- Contraintes pour la table ods_front_indexer
-- 
ALTER TABLE ods_front_indexer
  ADD CONSTRAINT FK_SEANCE_INDEXE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance);

-- 
-- Contraintes pour la table ods_historique
-- 
ALTER TABLE ods_historique
  ADD INDEX historique_entite_index (id_entite),
  ADD CONSTRAINT FK_TYPE_ENTITE FOREIGN KEY (id_type_entite) REFERENCES ods_type_entite (id_entite);
  
-- 
-- Contraintes pour la table ods_index_task
-- 
ALTER TABLE ods_index_task
  ADD CONSTRAINT FK_SUR_INDEXER FOREIGN KEY (id_indexer) REFERENCES ods_front_indexer (id_indexer);

-- 
-- Contraintes pour la table ods_liste_membres_presents
-- 
ALTER TABLE ods_liste_membres_presents
  ADD CONSTRAINT FK_LISTE_MEMBRES_PRESENTS_FICHIER_SC FOREIGN KEY (id_fichier_sc) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_LISTE_MEMBRES_PRESENTS_FORMATION_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_LISTE_MEMBRES_PRESENTS_SEANCE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance);

-- 
-- Contraintes pour la table ods_modele_ordre_jour
-- 
ALTER TABLE ods_modele_ordre_jour
  ADD CONSTRAINT FK_DU_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_ENTETE_DE_ODJ FOREIGN KEY (ods_id_fichier) REFERENCES ods_fichier_physique (id_fichier),
  ADD CONSTRAINT FK_MODELE_DE_LA_COMMISSION FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission),
  ADD CONSTRAINT FK_PIED_DE_ODJ FOREIGN KEY (id_fichier) REFERENCES ods_fichier_physique (id_fichier),
  ADD CONSTRAINT FK_POUR_ODJ_DE_TYPE FOREIGN KEY (id_type_odj) REFERENCES ods_type_ordre_jour (id_type_odj);

-- 
-- Contraintes pour la table ods_nature_dossier
-- 
ALTER TABLE ods_nature_dossier
  ADD CONSTRAINT FK_DEFINIE_POUR FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance);

-- 
-- Contraintes pour la table ods_odj
-- 
ALTER TABLE ods_odj
  ADD CONSTRAINT FK_DE_LA_COMMISSION FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission),
  ADD CONSTRAINT FK_DE_LA_FORMATION FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_DE_LA_SEANCE FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance),
  ADD CONSTRAINT FK_EST_UNE_SAUVEGARDE_DE FOREIGN KEY (ods_id_odj) REFERENCES ods_odj (id_odj),
  ADD CONSTRAINT FK_TYPE_DE FOREIGN KEY (id_type_odj) REFERENCES ods_type_ordre_jour (id_type_odj);

-- 
-- Contraintes pour la table ods_panier
-- 
ALTER TABLE ods_panier
  ADD CONSTRAINT FK_CONTIENT_LE_FICHIER FOREIGN KEY (id_document) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_DANS_LE_PANIER_DE FOREIGN KEY (id_utilisateur) REFERENCES ods_utilisateur (id_utilisateur);

-- 
-- Contraintes pour la table ods_pdd
-- 
ALTER TABLE ods_pdd
  ADD CONSTRAINT FK_DE_CATEGORIE FOREIGN KEY (id_categorie) REFERENCES ods_categorie_deliberation (id_categorie),
  ADD CONSTRAINT FK_PDD_A_ETE FOREIGN KEY (id_statut) REFERENCES ods_statut (id_statut),
  ADD CONSTRAINT FK_PDD_POUR_LE_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil),
  ADD CONSTRAINT FK_PRINCIPALE FOREIGN KEY (id_direction) REFERENCES ods_direction (id_direction),
  ADD CONSTRAINT FK_PROPOSEE_PAR FOREIGN KEY (id_groupe) REFERENCES ods_groupe (id_groupe);

-- 
-- Contraintes pour la table ods_publication_parisfr
-- 
ALTER TABLE ods_publication_parisfr
  ADD CONSTRAINT FK_ODJ_PUBLIE FOREIGN KEY (id_odj) REFERENCES ods_odj (id_odj);

-- 
-- Contraintes pour la table ods_releve_travaux
-- 
ALTER TABLE ods_releve_travaux
  ADD CONSTRAINT FK_DANS FOREIGN KEY (id_seance) REFERENCES ods_seance (id_seance),
  ADD CONSTRAINT FK_FICHIER FOREIGN KEY (id_fichier) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_RELEVE_DE FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission);

-- 
-- Contraintes pour la table ods_requete
-- 
ALTER TABLE ods_requete
  ADD CONSTRAINT FK_ENREGISTREE_PAR FOREIGN KEY (id_utilisateur) REFERENCES ods_utilisateur (id_utilisateur);

-- 
-- Contraintes pour la table ods_texte_libre
-- 
ALTER TABLE ods_texte_libre
  ADD CONSTRAINT FK_TYPE_ENTITE_TXT_LIBRE FOREIGN KEY (id_type_entite) REFERENCES ods_type_entite (id_entite);
  
-- 
-- Contraintes pour la table ods_tourniquet
-- 
ALTER TABLE ods_tourniquet
  ADD CONSTRAINT FK_ORDONNEE FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission);

-- 
-- Contraintes pour la table ods_va_depose_par
-- 
ALTER TABLE ods_va_depose_par
  ADD CONSTRAINT FK_ODS_VA_DEPOSE_PAR FOREIGN KEY (id_elu) REFERENCES ods_elu (id_elu),
  ADD CONSTRAINT FK_ODS_VA_DEPOSE_PAR2 FOREIGN KEY (id_va) REFERENCES ods_voeu_amendement (id_va),
  ADD CONSTRAINT FK_ODS_VA_DEPOSE_PAR_3 FOREIGN KEY (id_groupe) REFERENCES ods_groupe (id_groupe);

-- 
-- Contraintes pour la table ods_va_parent
-- 
ALTER TABLE ods_va_parent
  ADD CONSTRAINT FK_ODS_VA_PARENT FOREIGN KEY (id_va) REFERENCES ods_voeu_amendement (id_va),
  ADD CONSTRAINT FK_ODS_VA_PARENT2 FOREIGN KEY (id_va_parent) REFERENCES ods_voeu_amendement (id_va);

-- 
-- Contraintes pour la table ods_va_rattache_pdd
-- 
ALTER TABLE ods_va_rattache_pdd
  ADD CONSTRAINT FK_ODS_VA_RATTACHE_PDD FOREIGN KEY (id_va) REFERENCES ods_voeu_amendement (id_va),
  ADD CONSTRAINT FK_ODS_VA_RATTACHE_PDD2 FOREIGN KEY (id_pdd) REFERENCES ods_pdd (id_pdd);

-- 
-- Contraintes pour la table ods_voeu_amendement
-- 
ALTER TABLE ods_voeu_amendement
  ADD CONSTRAINT FK_APPARTIENT_AU FOREIGN KEY (id_fascicule) REFERENCES ods_fascicule (id_fascicule),
  ADD CONSTRAINT FK_BIS_OU_TER_DE FOREIGN KEY (ods_id_va) REFERENCES ods_voeu_amendement (id_va),
  ADD CONSTRAINT FK_DEPOSE_PAR FOREIGN KEY (id_commission) REFERENCES ods_commission (id_commission),
  ADD CONSTRAINT FK_TEXTE_INITIAL_VA FOREIGN KEY (id_texte_initial) REFERENCES ods_fichier (id_document),
  ADD CONSTRAINT FK_VA_A_ETE FOREIGN KEY (id_statut) REFERENCES ods_statut (id_statut),
  ADD CONSTRAINT FK_VOEU_POUR_LE_CONSEIL FOREIGN KEY (id_formation_conseil) REFERENCES ods_formation_conseil (id_formation_conseil);
